QwtPlotGrid(3)

NAME
QwtPlotGrid -

SYNOPSIS

#include <qwt_plot_grid.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotGrid ()
virtual ~QwtPlotGrid ()
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect) const
void enableX (bool tf)
void enableXMin (bool tf)
void enableY (bool tf)
void enableYMin (bool tf)
const QPen & majPen () const
const QPen & minPen () const
virtual int rtti () const
void setMajPen (const QPen &p)
void setMinPen (const QPen &p)
void setPen (const QPen &p)
void setXDiv (const QwtScaleDiv &sx)
void setYDiv (const QwtScaleDiv &sy)
virtual void updateScaleDiv (const QwtScaleDiv &xMap, const QwtScaleDiv &yMap)
bool xEnabled () const
bool xMinEnabled () const
const QwtScaleDiv & xScaleDiv () const
bool yEnabled () const
bool yMinEnabled () const
const QwtScaleDiv & yScaleDiv () const

  Additional Inherited Members

Detailed Description

A class which draws a coordinate grid. The QwtPlotGrid class can be used to draw a coordinate grid. A coordinate grid consists of major and minor vertical and horizontal gridlines. The locations of the gridlines are determined by the X and Y scale divisions which can be assigned with setXDiv() and setYDiv(). The draw() member draws the grid within a bounding rectangle.

Member Function Documentation

  void QwtPlotGrid::draw (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const [virtual]

Draw the grid. The grid is drawn into the bounding rectangle such that gridlines begin and end at the rectangle's borders. The X and Y maps are used to map the scale divisions into the drawing region screen.

Parameters:
    painter Painter
    xMap X axis map
    yMap Y axis
    canvasRect Contents rect of the plot canvas

Implements QwtPlotItem.

  void QwtPlotGrid::enableX (booltf)

Enable or disable vertical gridlines. Parameters:
    tf Enable (true) or disable

See also:
    Minor gridlines can be enabled or disabled with enableXMin()

  void QwtPlotGrid::enableXMin (booltf)

Enable or disable minor vertical gridlines. Parameters:
    tf Enable (true) or disable

See also:
    enableX()

  void QwtPlotGrid::enableY (booltf)

Enable or disable horizontal gridlines. Parameters:
    tf Enable (true) or disable

See also:
    Minor gridlines can be enabled or disabled with enableYMin()

  void QwtPlotGrid::enableYMin (booltf)

Enable or disable minor horizontal gridlines. Parameters:
    tf Enable (true) or disable

See also:
    enableY()

  const QPen & QwtPlotGrid::majPen () const
Returns:
    the pen for the major gridlines

See also:
    setMajPen(), setMinPen(), setPen()

  const QPen & QwtPlotGrid::minPen () const
Returns:
    the pen for the minor gridlines

See also:
    setMinPen(), setMajPen(), setPen()

  int QwtPlotGrid::rtti () const [virtual]
Returns:
    QwtPlotItem::Rtti_PlotGrid

Reimplemented from QwtPlotItem.

  void QwtPlotGrid::setMajPen (const QPen &pen)
Assign a pen for the major gridlines

Parameters:
    pen Pen

See also:
    majPen(), setMinPen(), setPen()

  void QwtPlotGrid::setMinPen (const QPen &pen)
Assign a pen for the minor gridlines

Parameters:
    pen Pen

See also:
    minPen(), setMajPen(), setPen()

  void QwtPlotGrid::setPen (const QPen &pen)
Assign a pen for both major and minor gridlines

Parameters:
    pen Pen

See also:
    setMajPen(), setMinPen()

  void QwtPlotGrid::setXDiv (const QwtScaleDiv &scaleDiv)
Assign an x axis scale division

Parameters:
    scaleDiv Scale division

  void QwtPlotGrid::setYDiv (const QwtScaleDiv &scaleDiv)
Assign a y axis division

Parameters:
    scaleDiv Scale division

  void QwtPlotGrid::updateScaleDiv (const QwtScaleDiv &xScaleDiv, const QwtScaleDiv &yScaleDiv) [virtual]
Update the grid to changes of the axes scale division

Parameters:
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also:
    QwtPlot::updateAxes()

Reimplemented from QwtPlotItem.

  bool QwtPlotGrid::xEnabled () const
Returns:
    true if vertical gridlines are enabled

See also:
    enableX()

  bool QwtPlotGrid::xMinEnabled () const
Returns:
    true if minor vertical gridlines are enabled

See also:
    enableXMin()

  const QwtScaleDiv & QwtPlotGrid::xScaleDiv () const
Returns:
    the scale division of the x axis

  bool QwtPlotGrid::yEnabled () const
Returns:
    true if horizontal gridlines are enabled

See also:
    enableY()

  bool QwtPlotGrid::yMinEnabled () const
Returns:
    true if minor horizontal gridlines are enabled

See also:
    enableYMin()

  const QwtScaleDiv & QwtPlotGrid::yScaleDiv () const
Returns:
    the scale division of the y axis

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.